Main Page Class Hierarchy Compound List File List Compound Members File Members

# gd.h File Reference

`#include <stdio.h>`

Go to the source code of this file.

## Compounds
struct | gdFont
struct | gdImageStruct
struct | gdPoint
## Defines
#define | GD_H 1
#define | gdMaxColors 256
#define | gdDashSize 4
#define | gdStyled (-2)
#define | gdBrushed (-3)
#define | gdStyledBrushed (-4)
#define | gdTiled (-5)
#define | gdTransparent (-6)
#define | gdImageSX(im) ((im)->sx)
#define | gdImageSY(im) ((im)->sy)
#define | gdImageColorsTotal(im) ((im)->colorsTotal)
#define | gdImageRed(im, c) ((im)->red[(c)])
#define | gdImageGreen(im, c) ((im)->green[(c)])
#define | gdImageBlue(im, c) ((im)->blue[(c)])
#define | gdImageGetTransparent(im) ((im)->transparent)
#define | gdImageGetInterlaced(im) ((im)->interlace)
## Typedefs
typedef gdImageStruct | gdImage
typedef gdImage * | gdImagePtr
typedef gdFont * | gdFontPtr
typedef * | gdPointPtr
## Functions
gdImagePtr | gdImageCreate (int sx, int sy)
gdImagePtr | gdImageCreateFromGif (FILE *fd)
gdImagePtr | gdImageCreateFromGd (FILE *in)
gdImagePtr | gdImageCreateFromXbm (FILE *fd)
void | gdImageDestroy (gdImagePtr im)
void | gdImageSetPixel (gdImagePtr im, int x, int y, int color)
int | gdImageGetPixel (gdImagePtr im, int x, int y)
void | gdImageLine (gdImagePtr im, int x1, int y1, int x2, int y2, int color)
void | gdImageDashedLine (gdImagePtr im, int x1, int y1, int x2, int y2, int color)
void | gdImageRectangle (gdImagePtr im, int x1, int y1, int x2, int y2, int color)
void | gdImageFilledRectangle (gdImagePtr im, int x1, int y1, int x2, int y2, int color)
int | gdImageBoundsSafe (gdImagePtr im, int x, int y)
void | gdImageChar (gdImagePtr im, gdFontPtr f, int x, int y, int c, int color)
void | gdImageCharUp (gdImagePtr im, gdFontPtr f, int x, int y, char c, int color)
void | gdImageString (gdImagePtr im, gdFontPtr f, int x, int y, char *s, int color)
void | gdImageStringUp (gdImagePtr im, gdFontPtr f, int x, int y, char *s, int color)
void | gdImagePolygon (gdImagePtr im, gdPointPtr p, int n, int c)
void | gdImageFilledPolygon (gdImagePtr im, gdPointPtr p, int n, int c)
int | gdImageColorAllocate (gdImagePtr im, int r, int g, int b)
int | gdImageColorClosest (gdImagePtr im, int r, int g, int b)
int | gdImageColorExact (gdImagePtr im, int r, int g, int b)
void | gdImageColorDeallocate (gdImagePtr im, int color)
void | gdImageColorTransparent (gdImagePtr im, int color)
void | gdImageGif (gdImagePtr im, FILE *out)
void | gdImageGd (gdImagePtr im, FILE *out)
void | gdImageArc (gdImagePtr im, int cx, int cy, int w, int h, int s, int e, int color)
void | gdImageFillToBorder (gdImagePtr im, int x, int y, int border, int color)
void | gdImageFill (gdImagePtr im, int x, int y, int color)
void | gdImageCopy (gdImagePtr dst, gdImagePtr src, int dstX, int dstY, int srcX, int srcY, int w, int h)
void | gdImageCopyResized (gdImagePtr dst, gdImagePtr src, int dstX, int dstY, int srcX, int srcY, int dstW, int dstH, int srcW, int srcH)
void | gdImageSetBrush (gdImagePtr im, gdImagePtr brush)
void | gdImageSetTile (gdImagePtr im, gdImagePtr tile)
void | gdImageSetStyle (gdImagePtr im, int *style, int noOfPixels)
void | gdImageInterlace (gdImagePtr im, int interlaceArg)

## Define Documentation

#define GD_H 1

| Definition at line 17 of file gd.h.

#define gdBrushed (-3)

| Definition at line 90 of file gd.h.

#define gdDashSize 4

| Definition at line 85 of file gd.h.

#define gdImageBlue | ( | im,
|  | c |  | ) | ((im)->blue[(c)])

| Definition at line 157 of file gd.h.

#define gdImageColorsTotal | ( | im |  | ) | ((im)->colorsTotal)

| Definition at line 154 of file gd.h.

#define gdImageGetInterlaced | ( | im |  | ) | ((im)->interlace)

| Definition at line 159 of file gd.h.

#define gdImageGetTransparent | ( | im |  | ) | ((im)->transparent)

| Definition at line 158 of file gd.h.

#define gdImageGreen | ( | im,
|  | c |  | ) | ((im)->green[(c)])

| Definition at line 156 of file gd.h.

#define gdImageRed | ( | im,
|  | c |  | ) | ((im)->red[(c)])

| Definition at line 155 of file gd.h.

#define gdImageSX | ( | im |  | ) | ((im)->sx)

| Definition at line 152 of file gd.h.

#define gdImageSY | ( | im |  | ) | ((im)->sy)

| Definition at line 153 of file gd.h.

#define gdMaxColors 256

| Definition at line 34 of file gd.h.

#define gdStyled (-2)

| Definition at line 89 of file gd.h.

#define gdStyledBrushed (-4)

| Definition at line 91 of file gd.h.

#define gdTiled (-5)

| Definition at line 92 of file gd.h.

#define gdTransparent (-6)

| Definition at line 96 of file gd.h.

## Typedef Documentation

typedef gdFont* gdFontPtr

| Definition at line 80 of file gd.h.

typedef struct gdImageStruct gdImage

typedef gdImage* gdImagePtr

| Definition at line 63 of file gd.h.

typedef * gdPointPtr

## Function Documentation

void gdImageArc | ( | gdImagePtr | im,
|  | int | cx,
|  | int | cy,
|  | int | w,
|  | int | h,
|  | int | s,
|  | int | e,
|  | int | color
| ) |

int gdImageBoundsSafe | ( | gdImagePtr | im,
|  | int | x,
|  | int | y
| ) |

void gdImageChar | ( | gdImagePtr | im,
|  | gdFontPtr | f,
|  | int | x,
|  | int | y,
|  | int | c,
|  | int | color
| ) |

void gdImageCharUp | ( | gdImagePtr | im,
|  | gdFontPtr | f,
|  | int | x,
|  | int | y,
|  | char | c,
|  | int | color
| ) |

int gdImageColorAllocate | ( | gdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |

int gdImageColorClosest | ( | gdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |

void gdImageColorDeallocate | ( | gdImagePtr | im,
|  | int | color
| ) |

int gdImageColorExact | ( | gdImagePtr | im,
|  | int | r,
|  | int | g,
|  | int | b
| ) |

void gdImageColorTransparent | ( | gdImagePtr | im,
|  | int | color
| ) |

void gdImageCopy | ( | gdImagePtr | dst,
|  | gdImagePtr | src,
|  | int | dstX,
|  | int | dstY,
|  | int | srcX,
|  | int | srcY,
|  | int | w,
|  | int | h
| ) |

void gdImageCopyResized | ( | gdImagePtr | dst,
|  | gdImagePtr | src,
|  | int | dstX,
|  | int | dstY,
|  | int | srcX,
|  | int | srcY,
|  | int | dstW,
|  | int | dstH,
|  | int | srcW,
|  | int | srcH
| ) |

gdImagePtr gdImageCreate | ( | int | sx,
|  | int | sy
| ) |

gdImagePtr gdImageCreateFromGd | ( | FILE * | in | ) |

gdImagePtr gdImageCreateFromGif | ( | FILE * | fd | ) |

gdImagePtr gdImageCreateFromXbm | ( | FILE * | fd | ) |

void gdImageDashedLine | ( | gdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |

void gdImageDestroy | ( | gdImagePtr | im | ) |

void gdImageFill | ( | gdImagePtr | im,
|  | int | x,
|  | int | y,
|  | int | color
| ) |

void gdImageFilledPolygon | ( | gdImagePtr | im,
|  | gdPointPtr | p,
|  | int | n,
|  | int | c
| ) |

void gdImageFilledRectangle | ( | gdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |

void gdImageFillToBorder | ( | gdImagePtr | im,
|  | int | x,
|  | int | y,
|  | int | border,
|  | int | color
| ) |

void gdImageGd | ( | gdImagePtr | im,
|  | FILE * | out
| ) |

int gdImageGetPixel | ( | gdImagePtr | im,
|  | int | x,
|  | int | y
| ) |

void gdImageGif | ( | gdImagePtr | im,
|  | FILE * | out
| ) |

void gdImageInterlace | ( | gdImagePtr | im,
|  | int | interlaceArg
| ) |

void gdImageLine | ( | gdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |

void gdImagePolygon | ( | gdImagePtr | im,
|  | gdPointPtr | p,
|  | int | n,
|  | int | c
| ) |

void gdImageRectangle | ( | gdImagePtr | im,
|  | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | int | color
| ) |

void gdImageSetBrush | ( | gdImagePtr | im,
|  | gdImagePtr | brush
| ) |

void gdImageSetPixel | ( | gdImagePtr | im,
|  | int | x,
|  | int | y,
|  | int | color
| ) |

void gdImageSetStyle | ( | gdImagePtr | im,
|  | int * | style,
|  | int | noOfPixels
| ) |

void gdImageSetTile | ( | gdImagePtr | im,
|  | gdImagePtr | tile
| ) |

void gdImageString | ( | gdImagePtr | im,
|  | gdFontPtr | f,
|  | int | x,
|  | int | y,
|  | char * | s,
|  | int | color
| ) |

void gdImageStringUp | ( | gdImagePtr | im,
|  | gdFontPtr | f,
|  | int | x,
|  | int | y,
|  | char * | s,
|  | int | color
| ) |